PaidGoods
API referenceMarketing

Create an automation (starts paused)

POST
/v1/stores/{storeId}/marketing/automations

Authorization

AuthorizationBearer <token>

API key from Settings → API keys

In: header

Path Parameters

storeId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/v1/stores/string/marketing/automations" \  -H "Content-Type: application/json" \  -d '{    "name": "string",    "trigger": "welcome",    "steps": [      {        "delayMinutes": 0,        "subject": "string",        "bodyHtml": "string"      }    ]  }'
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "name": "string",  "trigger": "welcome",  "state": "active",  "winBackDays": -9007199254740991,  "steps": [    {      "delayMinutes": 0,      "subject": "string",      "bodyHtml": "string",      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "position": -9007199254740991    }  ],  "sentCount": -9007199254740991,  "activeRuns": -9007199254740991,  "createdAt": "string",  "updatedAt": "string"}